
/*browser:true*/
/*global define*/

define(
    [
        'ko',
        'jquery',
        'Magento_Checkout/js/view/payment/default',
		'Magento_Checkout/js/action/place-order',
		'mage/url',
    ],
    function (ko, $, Component, placeOrderAction, url) {
        'use strict';

        return Component.extend({
            self: this,
            defaults: {
                template: 'Aman_AmanAccept/payment/aman_express_form'
            },
            initialize: function () {
                this._super();
            },
            isActive: function () {
                return true;
            },
            getCode: function () {
                return 'aman_express';
            },
            getTitle: function()
            {
                return window.checkoutConfig.payment[this.getCode()].title;
            },            
        });
    }
);
